Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 700488 - sys-devel/binutils-9999 - patch -p1 failed with /var/tmp/portage/sys-devel/binutils-9999/work/patch/0004-Gentoo-ld-enable-new-dtags-by-default-for-linux-gnu-.patch *
Summary: sys-devel/binutils-9999 - patch -p1 failed with /var/tmp/portage/sys-devel/b...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-18 15:35 UTC by Joe Harvell
Modified: 2019-11-18 23:39 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,5.53 KB, text/plain)
2019-11-18 15:37 UTC, Joe Harvell
Details
output of emerge --info (einfo.txt,6.91 KB, text/plain)
2019-11-18 15:39 UTC, Joe Harvell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Harvell 2019-11-18 15:35:06 UTC
The text leading up to this was:
--------------------------
|From c9976a6d24047fd13d515486fe10bd5e785fbee4 Mon Sep 17 00:00:00 2001
|From: Mike Frysinger <vapier@gentoo.org>
|Date: Fri, 7 Jan 2005 00:15:53 -0500
|Subject: [PATCH 04/13] Gentoo: ld: enable new dtags by default for linux/gnu
| targets
|
|The "new" dtags options have been around for 14+ years now, so for Linux
|and GNU targets, enable them by default.
|
|2012-01-21  Mike Frysinger  <vapier@gentoo.org>
|
|       * emultempl/elf32.em (gld${EMULATION_NAME}_before_parse): Set
|       link_info.new_dtags to TRUE for linux/gnu targets.
|       * NEWS: Mention new dtags default.
|
|2013-01-22  Roland McGrath  <mcgrathr@google.com>
|
|       * emultempl/elf32.em (gld${EMULATION_NAME}_before_parse): Set
|       new_dtags to TRUE for *-*-nacl* targets.
|
|(cherry picked from commit 3ed91ee23d7ba05bffe6fb00bdaf5fa089643d77)
|---
| ld/emultempl/elf32.em | 10 ++++++++++
| 1 file changed, 10 insertions(+)
|
|diff --git a/ld/emultempl/elf32.em b/ld/emultempl/elf32.em
|index 3e8ee4693e..6a2bc28d84 100644
|--- a/ld/emultempl/elf32.em
|+++ b/ld/emultempl/elf32.em
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
 [ !! ]
 * ERROR: sys-devel/binutils-9999::gentoo failed (prepare phase):
 *   patch -p1  failed with /var/tmp/portage/sys-devel/binutils-9999/work/patch/0004-Gentoo-ld-enable-new-dtags-by-default-for-linux-gnu-.patch
 * 
 * Call stack:
 *               ebuild.sh, line  124:  Called src_prepare
 *             environment, line 2308:  Called eapply '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0001-Gentoo-ld-always-warn-about-textrels-in-files.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0002-Gentoo-Add-an-option-no-warn-shared-textrel-self-exp.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0003-Gentoo-gold-ld-add-support-for-poisoned-system-direc.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0004-Gentoo-ld-enable-new-dtags-by-default-for-linux-gnu-.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0005-Gentoo-libiberty-install-PIC-version-of-libiberty.a.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0006-Gentoo-opcodes-link-against-libbfd.la-for-rpath-deps.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0007-Gentoo-Pass-hash-style-sysv-to-ld-in-its-testsuite.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0008-Gentoo-Pass-no-warn-shared-textrel-to-ld-in-its-test.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0009-Gentoo-Restore-TEXTREL-warnings-for-non-shared-objec.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0010-Gentoo-Fix-test-for-precise-textrel-warning-message-.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0011-Gentoo-Fix-textrel-warning-format-test.patch' '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0012-Gentoo-add-with-extra-soversion-suffix-option.patch'
 *             environment, line  833:  Called _eapply_patch '/var/tmp/portage/sys-devel/binutils-9999/work/patch/0004-Gentoo-ld-enable-new-dtags-by-default-for-linux-gnu-.patch'
 *             environment, line  771:  Called __helpers_die 'patch -p1  failed with /var/tmp/portage/sys-devel/binutils-9999/work/patch/0004-Gentoo-ld-enable-new-dtags-by-default-for-linux-gnu-.patch'
 *   isolated-functions.sh, line  119:  Called die
 * The specific snippet of code:
 *              die "$@"
 * 
 * If you need support, post the output of `emerge --info '=sys-devel/binutils-9999::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/binutils-9999::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/sys-devel/binutils-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/binutils-9999/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/binutils-9999/work/binutils'
 * S: '/var/tmp/portage/sys-devel/binutils-9999/work/binutils'
Comment 1 Joe Harvell 2019-11-18 15:37:50 UTC
Created attachment 596636 [details]
build.log
Comment 2 Joe Harvell 2019-11-18 15:39:30 UTC
Created attachment 596638 [details]
output of emerge --info
Comment 3 Larry the Git Cow gentoo-dev 2019-11-18 23:39:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95b6babce3509105800f3806cfec431072225eaa

commit 95b6babce3509105800f3806cfec431072225eaa
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2019-11-18 23:28:35 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2019-11-18 23:37:41 +0000

    sys-devel/binutils: bump patchset up to 5
    
    Refresh patches against current master.
    
    Reported-by: Joe Harvell
    Closes: https://bugs.gentoo.org/700488
    Package-Manager: Portage-2.3.79, Repoman-2.3.18
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 sys-devel/binutils/Manifest             | 2 +-
 sys-devel/binutils/binutils-9999.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)